@echo off
echo 安装过程需要1到5分钟（根据您的网络速度决定），请勿关闭此窗口
cd /D %~dp0

if not exist dotnet-runtime-6.0.13-win-x64.exe (	
	echo 正在下载[dotnet-runtime-6.0.13-win-x64]
	wget https://cmcc158.tcbiji.com:4443/runtime/dotnet-runtime-6.0.13-win-x64.exe --no-check-certificate
)

if not exist windowsdesktop-runtime-6.0.13-win-x64.exe (	
	echo 正在下载[windowsdesktop-runtime-6.0.13-win-x64]
	wget https://cmcc158.tcbiji.com:4443/runtime/windowsdesktop-runtime-6.0.13-win-x64.exe --no-check-certificate
)

@echo on

echo 安装[dotnet-runtime-6.0.13-win-x64]
dotnet-runtime-6.0.13-win-x64.exe /repair /quiet

echo 安装[windowsdesktop-runtime-6.0.13-win-x64]
windowsdesktop-runtime-6.0.13-win-x64.exe /repair /quiet

echo 启动[ArcangelInstall.exe]
start ArcangelInstall.exe
exit